import { h } from "@stencil/core";
import clsx from "clsx";
export const TextInput = (props) => {
  const { id, name, label, hint, error, key, onInput, getClass } = props;
  return (h("div", { class: clsx("hr-field", getClass('field')), key: key }, h("label", { class: clsx("hr-label", getClass('label')) }, h("div", { class: clsx("hr-label-text", getClass('labelText')) }, label)), h("input", { id: id, type: "text", name: name, class: clsx("hr-input hr-input-text", getClass('input'), getClass('inputText')), onInput: onInput }), hint && (h("div", { class: clsx("hr-input-hint", getClass('inputHint')) }, hint)), error && (h("div", { class: clsx("hr-input-error", getClass('inputError')) }, error))));
};
//# sourceMappingURL=text.js.map
