import { h } from '@stencil/core/internal/client';

function r(e){var t,f,n="";if("string"==typeof e||"number"==typeof e)n+=e;else if("object"==typeof e)if(Array.isArray(e))for(t=0;t<e.length;t++)e[t]&&(f=r(e[t]))&&(n&&(n+=" "),n+=f);else for(t in e)e[t]&&(n&&(n+=" "),n+=t);return n}function clsx(){for(var e,t,f=0,n="";f<arguments.length;)(e=arguments[f++])&&(t=r(e))&&(n&&(n+=" "),n+=t);return n}

const DEFAULT_URL = 'https://app.happyreact.com';

async function fetchProject(params) {
  const _url = params.url || DEFAULT_URL;
  // TODO: Add server side support
  const response = await fetch(`${_url}/api/v1/project/${params.token}/resource/${params.resource}`);
  const json = await response.json();
  if (json.ok) {
    return json.data;
  }
  const message = json.error.issues.length > 0 ? json.error.issues[0].message : json.error.message;
  console.error(message);
}
async function collectReaction(params) {
  const _url = params.url || DEFAULT_URL;
  // TODO: Add server side support
  const response = await fetch(`${_url}/api/v1/project/${params.token}/resource/${params.resource}/collect/${params.reactionId}`, {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: JSON.stringify({ count: params.count }),
  });
  const json = await response.json();
  if (json.ok) {
    return json.data;
  }
  const message = json.error.issues.length > 0 ? json.error.issues[0].message : json.error.message;
  console.error(message);
}
async function fetchForm(params) {
  var _a;
  const _url = params.url || DEFAULT_URL;
  // TODO: Add server side support
  const response = await fetch(`${_url}/api/v1/project/${params.token}/reaction/${params.reactionId}`);
  if ([204, 404].includes(response.status)) {
    throw new Error('Cannot find form for reaction');
  }
  const json = await response.json();
  if (json.ok) {
    if (json.data.fields.length === 0) {
      throw new Error('Cannot find form for reaction');
    }
    return json.data;
  }
  const message = ((_a = json.error.issues) === null || _a === void 0 ? void 0 : _a.length) > 0 ? json.error.issues[0].message : json.error.message;
  console.error(message);
}
async function saveResponse(params) {
  const _url = params.url || DEFAULT_URL;
  // TODO: Add server side support
  const response = await fetch(`${_url}/api/v1/project/${params.token}/reaction/${params.reactionId}/save`, {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: JSON.stringify({ values: params.values, resources: params.resources }),
  });
  const json = await response.json();
  if (json.ok) {
    return json.data;
  }
  const message = json.error.issues.length > 0 ? json.error.issues[0].message : json.error.message;
  console.error(message);
}

function createGetClass(classes) {
  return (path) => {
    if (classes == null) {
      return;
    }
    if (typeof classes === 'undefined') {
      return;
    }
    if (typeof classes === 'string') {
      return;
    }
    return classes[path];
  };
}

const Fetcher = (props, children) => {
  const { status } = props;
  if (status === 'loading') {
    return h("div", { class: "hr-loader" }, "Happy React is loading...");
  }
  if (status === 'error') {
    return h("div", { class: "hr-error" }, "Something went wrong while loading.");
  }
  if (status === 'success') {
    return children;
  }
  return null;
};

export { DEFAULT_URL as D, Fetcher as F, createGetClass as a, collectReaction as b, clsx as c, fetchProject as d, fetchForm as f, saveResponse as s };

//# sourceMappingURL=fetcher.js.map