import { EventEmitter } from '../../stencil-public-runtime';
import { FieldValue } from '../../types/form';
import { Form, FormSuccess } from '../../types/data';
import { FormClasses } from '../../types/props';
type Field = Form['fields'][number];
export declare class HappyreactForm {
  /**
   * Classes
   */
  classes: Readonly<{
    [key in keyof FormClasses]: FormClasses[key];
  }>;
  /**
   * modes
   */
  mode: 'flow' | 'modal';
  host: HTMLElement;
  state: {
    dirty: boolean;
    valid: boolean;
    values: Record<string, FieldValue>;
    errors: Record<string, any>;
  };
  handleSend(): void;
  handleValidate(value: FieldValue, field: Field, state: typeof this.state): void;
  private _countErrors;
  handleSubmit(event: SubmitEvent): void;
  handleInput(event: InputEvent, field: Field): void;
  response: {
    status: 'idle';
    data: null;
  } | {
    status: 'loading';
    data: null;
  } | {
    status: 'success';
    data: Form;
  } | {
    status: 'error';
    data: null;
  };
  request: {
    status: 'idle';
    data: null;
  } | {
    status: 'loading';
    data: null;
  } | {
    status: 'success';
    data: FormSuccess;
  };
  isVisible: boolean;
  props: {
    token: string;
    reactionId: string;
    resources: string[];
    url?: string;
    count?: number;
  };
  /**
   * Event fired when user click reaction
   */
  close: EventEmitter;
  /**
   * onReaction event handler
   * @param reaction
   */
  onCloseHandler(): void;
  showHandler(event: CustomEvent<typeof this.props>): void;
  handleClick(event: MouseEvent): void;
  _getInput(field: Field, getClass: any): any;
  render(): any;
}
export {};
