import { EventEmitter } from '../../stencil-public-runtime';
import { WidgetClasses } from '../../types/props';
import { Project, Reaction } from '../../types/data';
export declare class HrWidget {
  /**
   * Token of your project
   */
  token: string;
  /**
   * Unique identifier of resource
   */
  resource: string;
  /**
   * Classes applied to widget elements. You can find them on [Happy React styling guide](https://happyreact.com/docs/configuration/classes)
   */
  classes: string | WidgetClasses;
  /**
   * Url where should widget get data. Used when you have own Happy React instance
   */
  url: string;
  private _isFirstReaction;
  private _isUnlimitedReactions;
  private _isLimitReactionsNotReached;
  private _isLimitReactionsReached;
  private _getAffiliateURL;
  collect(reaction: Reaction): Promise<void>;
  /**
   * Form element
   */
  form: HTMLHrFormElement;
  /**
   * Event fired when user click reaction
   */
  reaction: EventEmitter<Reaction>;
  /**
   * onReaction event handler
   * @param reaction
   */
  onReactionHandler(reaction: Reaction, data: {
    resources: string[];
  }): void;
  /**
   * Event fired when user reach reactions limit
   */
  reactionsLimitReached: EventEmitter<Reaction>;
  /**
   * onReactionsLimitReached event handler
   */
  onReactionsLimitReachedHandler(): void;
  response: {
    status: 'loading';
    data: null;
  } | {
    status: 'success';
    data: Project;
  } | {
    status: 'error';
    data: null;
  };
  componentWillLoad(): void;
  render(): any;
}
