export interface Reaction {
  id: string;
  icon: string;
  count?: number;
}
export interface Project {
  preferences: {
    allowMultiple: boolean;
    maxReactions: number;
    shortNumber: boolean;
    whitelabel: boolean;
  };
  reacted: {
    id?: string;
    count: number;
  };
  reactions: Array<{
    id: string;
    count: number;
    icon: string;
    label: string;
    type: 'text' | 'emoji';
  }>;
}
export interface Form {
  content: {
    before: string | null;
    after: string | null;
  };
  fields: {
    type: 'TEXT' | 'TEXTAREA' | 'CONTENT';
    id: string;
    label: string;
    hint: string;
    validations: {
      type: 'REQUIRED';
    }[];
  }[];
}
export interface FormSuccess {
  icon: string | null;
  content: string | null;
}
